import java.lang.*;
import java.util.*;
import java.io.*;

/* leave the Serializable comment in here. In a week, you'll use it to read and write 
   MazeWorlds as files!!!! */
public class MazeWorld extends java.lang.Object implements Serializable
{
    static final long serialVersionUID = 112;
    public int maze[][][];
    public int height; /* aligned with north, direction 0 */
    public int width;
    public Vector inits; /* each state is an array: {x,y,direction} */
    public Vector goals;
    public int maxDepth; /* max depth to which you should search */
    
    /* constructor: give it a maze to create a mazeworld */
    public MazeWorld(int maze[][][]) {
        this.maze = maze;
        this.inits = new Vector();
        this.goals = new Vector();
    }
    /* another constructor: give it a maze and the inits and goals */
    public MazeWorld(int maze[][][], Vector inits, Vector goals) {
        this.maze = maze;
        this.inits = (Vector) inits.clone();
        this.goals = (Vector) goals.clone();
    }
} /* end of class MazeWorld */


